Name: libreuse
Version: 4.3.7
Release: alt2

Summary: libreuse - library required by ejudge
Summary(ru_RU.UTF-8): libreuse - библиотека необходимая для работы ejudge
License: LGPL
Group: System/Libraries
Url: http://www.ejudge.ru/reuse.shtml
Packager: Denis Kirienko <dk@altlinux.ru>

Source: http://www.ejudge.ru/download/reuse-%version.tgz

Provides: %name = %version-%release

BuildPreReq: sed

%package devel
Summary: Headers for libreuse
Group: Development/C
Provides: %name-devel = %version-%release
Requires: %name = %version-%release

%package devel-static
Summary: Static libreuse library
Group: Development/C
Provides: %name-devel-static = %version-%release
Requires: %name-devel = %version-%release

%description
Libreuse contains some general features (memory managment, events logging,
data structures) and provides OS independent access for some OS functionality,
such as creating new processes.
Libreuse is needed by ejudge and some other software.

%description -l ru_RU.UTF-8
Библиотека reuse содержит некоторые компоненты общего назначения (выделение памяти,
поддержка журнала ошибок, сбалансированные деревья, хэш-таблицы и др.),
а также предоставляет системно-независимый интерфейс к возможностям операционной
системы (создание процессов и др.).
В настоящий момент библиотека работает на платформах ix86-linux, x86_64-linux
и ix86-win32.
Библиотека используется системой управления соревнованиями по программированию ejudge
и некоторыми другими программами.

%description devel
This package contains C headers and configuration utilities for libreuse library.

%description devel -l ru_RU.UTF-8
Заголовочные файлы и утилиты конфигурации для библиотеки libreuse.

%description devel-static
This package contains static version of the libreuse library.

%description devel-static -l ru_RU.UTF-8
Статическая сборка библиотеки libreuse.

%prep
%setup -n reuse/source

%build
%configure

%make_build

%install
%makeinstall
# cp %buildroot%_libdir/reuse/include/reuse/*.h %buildroot/%_includedir/reuse/
rm %buildroot%_bindir/revinfo

%files
%_libdir/*.so.*

%files devel
%_bindir/reuse*
%_includedir/*
%_libdir/*.so
%_libdir/reuse
%_pkgconfigdir/*.pc

%files devel-static
%_libdir/*.a

%changelog
* Sun Nov 23 2008 Denis Kirienko <dk@altlinux.ru> 4.3.7-alt2
- Removed ldconfig scrips from spec. 

* Sun Nov 16 2008 Denis Kirienko <dk@altlinux.ru> 4.3.7-alt1
- Version 4.3.7

* Fri Aug 15 2008 Denis Kirienko <dk@altlinux.ru> 4.3.6-alt2
- SVN revision 509 (bugfix for 2.6.25 kernel)

* Sun Aug 03 2008 Denis Kirienko <dk@altlinux.ru> 4.3.6-alt1
- Version 4.3.6

* Tue Feb 26 2008 Denis Kirienko <dk@altlinux.ru> 4.3.4-alt1.svn495
- Version 4.3.4

* Sun Dec 23 2007 Denis Kirienko <dk@altlinux.ru> 4.3.2-alt2.svn480
- New SVN snapshot 

* Sat Aug 04 2007 Denis Kirienko <dk@altlinux.ru> 4.3.2-alt1
- Version 4.3.2 

* Sun Apr 08 2007 Denis Kirienko <dk@altlinux.ru> 4.2.4-alt1
- Initial build for ALT Linux
